/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 09, 2026> */


/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
body[data-page-name="index"] #navigation {
    position: absolute;
}
.cta-btn:nth-child(odd) {
    background: var(--color-primary-background);
}
.cta-btn:nth-child(odd):hover {
    background: transparent !important;
	border-color: var(--color-primary-background);
	color: var(--color-primary-background);
}
/* CTA */
	/**/
/* Welcome */
	/**/
#welcome-wrap.style-1 {
    padding-bottom: 10vw;
}
#welcome-wrap.style-1 .svg-background .cls-1 {
    fill: var(--color-secondary-background);
}
#welcome-wrap.style-1 .module-22 .ry-right .content-wrap p {
    text-align: center !important;
}
/* Services */
	/**/
.ry-services.style2 .block-count-4 {
    display: none;
}


.ry-services.style2 .button-wrapper {
    padding-top: 2em;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
.brand-4-swiper-button-next,
.brand-4-swiper-button-prev {
  color: var(--color-secondary-background);
  background-color: var(--color-secondary-text);
}
/* Brand */
	/**/
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-brands-5 {
    background: #e8ecf4;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
/* Footer */
	/**/
/*Media Queries*/


div#ip-banner h1 {
    color: #15113e;
    font-weight: 600;
    line-height: 1.1;
    font-size: 45px;
    text-align: center;
    letter-spacing: 0px;
}

div#ip-banner .max-w-7xl.mx-auto.p-4.w-full.py-10 {
    padding:0;
}

div#ip-banner-text-wrap {
    max-width: 1200px;
	z-index:1;
}

div#ip-banner:before {
    position:absolute;
    left:0;
    right:0;
    top:0;
    bottom:0;
    background:#abd1eb;
    opacity: 0.7;
    z-index:1;
    content:'';
}



@media (max-width:991px) {
    .ip-banner-text-wrap h1 {
		font-size: 25px !important;
	}
}


@media (min-width: 1081px) {
    .ry-services.style2 .block-count-6 {
        display: none;
    }
	
	
    .mobile-services {
        /*! display: block; */
    }
    .ry-services.style2 .each-block .photo {
        position: relative;
        padding-bottom: 100%;
        border-radius: 999px;
        overflow: hidden;
        background: #d6d6f6;
    }

    .ry-services.style2 .each-block .photo:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
		height: 100%;
        z-index: 2;
        border-radius: 999px;
        background: transparent;
        border: 3px solid var(--color-primary-background);
    }

    .ry-services.style2 .each-block .photo img {
        position: absolute;
      
        max-width: 128px;
        margin: auto;
        float: none;
        left: 0;
        right: 0;
        top: 15%;
    }
    
    .ry-services.style2 .each-block:hover .photo::before {
  background: linear-gradient(to bottom, transparent, #7059b6);
}

    .ry-services.style2 .each-block .title {
        position: absolute;
        bottom: 45px;
        left: 50%;
        transform: translate(-50%, 0);
        z-index: 3;
        transition: .4s;
        width: 100%;
    }

    .ry-services.style2 .each-block .title div {
        font-size: 20px;
        line-height: 1.5;
    }

    .ry-services.style2 .each-block .link, .ry-services.style2 .each-block .link a {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9;
        opacity: 0;
    }

    .ry-services.style2 .each-block .button-svg {
        /*! display: none; */
    }

    .mobile-services .slick-track .each-block {
        margin-left: 0;
    }

    .mobile-services .slick-list {
        margin-left: 0;
    }
    
    .mobile-services .slick-track {
      display: flex;
      justify-content: space-between;
      gap: 0 3%;
    }

    .mobile-services .slick-dots {
        margin-top: 30px;
        padding-left: 0;
        list-style: none;
        display: flex !important;
        justify-content: center;
        align-items: center;
		display: none !important;
    }

    .mobile-services .slick-dots li {
        margin: 0 3px;
        height: auto;
        line-height: initial;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobile-services .slick-dots li:not(.slick-active) {
        opacity: .5;
    }

    .mobile-services .slick-dots button {
        width: 12px;
        height: 12px;
        text-indent: -9999999px;
        background: #abd1eb;
        border: unset;
        box-shadow: unset;
        border-radius: 50%;
    }

    .mobile-services .slick-arrow {
        display: none !important;
    }
}
@media (max-width:1080px){
    .ry-services.style2 .each-block .photo:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
		height: 100%;
        z-index: 2;
        background: #d6d6f6;
        border: 4px solid var(--color-primary-background);
        border-radius: 999px;
    }

    .ry-services.style2 .each-block .photo img {
        position: absolute;
        object-fit: cover;
		z-index: 2;
		opacity: .9;
		mix-blend-mode: luminosity;
		height: 50%;
		width: 50%;
		left: 25%;
		top: 14%;
    }
    .ry-services.style2 .each-block .title div {
        font-size: 18px;
        color: #333;
        line-height: 1.3;
    }
}

/* End - HP Edits*/




.review-widget {
	z-index: 9 !important;
}

div#contents ul.pagination li {
    list-style: none !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

#navigation-style-4 {
    max-width:1800px;
    margin-inline:auto;
    width:90%;
    padding-inline:0;
    padding-bottom:10px
}

.ry-menu {
    justify-content:center;
        max-width:1800px;
    margin-inline:auto;
    width:90%;
}

.ry-menu .ry-nav {
    width:100%;
    justify-content:space-between;
    gap:10px;
    margin-top:10PX;
    
}

.homepage-swiper .with-gradient:before {
    background-image: linear-gradient(to bottom, white, #ffffffe3, transparent);
    height:35%
 }


@media(max-width:1024px) { 
    .homepage-swiper .with-gradient:before {
        display:none
    }
}

.snap-mobile-menu .gap-6 {
	gap: 10px;
}

.snap-mobile-menu .gap-4 {
	gap:6PX
}

.snap-mobile-menu {
    background:#fff
}
.snap-mobile-menu .snap-mobile-menu {
    padding-inline:0;
    gap:20px
}
.snap-mobile-menu img {
    filter:unset
}
.mm-navbar__title > span, .mm-menu ::before {
  color: #fff
}
.mm-btn--next::after, .mm-btn--prev::before {
  border-color: #fff
}
#section-hp-services::before, .module-19.style2::before, .ry-services.style2::before {
	opacity:1
}
#ry-footer-3  ul li .font-semibold {
	font-weight:normal
}

